import { createConnection } from "typeorm";
import { runSeeder } from 'typeorm-seeding';
import { User } from '../models/entities/User';
import SeedUsers from '../seeds/SeedUsers';
/**
 * Loader for the database that creates the database connection and initializes the database tabels.
 * It also triggers the seeding process if no users got detected in the database.
 */
export default async () => {
    const connection = await createConnection();
    await connection.synchronize();
    if (await connection.getRepository(User).count() === 0) {
        await runSeeder(SeedUsers);
    }
    return connection;
};